<?php

namespace App\Entity;

use App\Repository\LogRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: LogRepository::class)]
class Log
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(type: Types::DATETIME_MUTABLE)]
    private ?\DateTimeInterface $date_log = null;

    #[ORM\Column(length: 255)]
    private ?string $type_changement = null;

    #[ORM\Column(length: 255)]
    private ?string $endroit = null;

    #[ORM\Column(length: 255)]
    private ?string $qui_change = null;

    #[ORM\Column(length: 255)]
    private ?string $commentaire = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDateLog(): ?\DateTimeInterface
    {
        return $this->date_log;
    }

    public function setDateLog(\DateTimeInterface $date_log): static
    {
        $this->date_log = $date_log;

        return $this;
    }

    public function getTypeChangement(): ?string
    {
        return $this->type_changement;
    }

    public function setTypeChangement(string $type_changement): static
    {
        $this->type_changement = $type_changement;

        return $this;
    }

    public function getEndroit(): ?string
    {
        return $this->endroit;
    }

    public function setEndroit(string $endroit): static
    {
        $this->endroit = $endroit;

        return $this;
    }

    public function getQuiChange(): ?string
    {
        return $this->qui_change;
    }

    public function setQuiChange(string $qui_change): static
    {
        $this->qui_change = $qui_change;

        return $this;
    }

    public function getCommentaire(): ?string
    {
        return $this->commentaire;
    }

    public function setCommentaire(string $commentaire): static
    {
        $this->commentaire = $commentaire;

        return $this;
    }
}
